GraphQL Schema
Download the GraphQL schema
Download the schema to the public_graphql_schema.graphqls file:
Scalar types
Beyond the standard scalar types, Indeed defines its own. Examples include:
| Scalar type | Format | Example |
|---|---|---|
CountryCode | ISO-3166-1 (opens in a new window) | JP |
LanguageCode | ISO-639-1 (opens in a new window) | ja |
CurrencyCode | ISO-4217 (opens in a new window) | JPY |
DateTime | RFC 3339 (opens in a new window) | 2006-04-13T14:12:53.4242+05:30 |
EmailAddress | RFC 822 (opens in a new window) | foo@bar.com |
Int64 | 64-bit signed integer | 123456789 |
PhoneNumber | E.164 (opens in a new window) | +12024561111 |
WebUrl | RFC 2396 (opens in a new window) and RFC 2732 (opens in a new window) | http://www.foo.com/bar |
Share, introspect, or export the GraphQL schema
To share, introspect, or export the GraphQL schema, use community tooling, such as:
- Rover CLI (opens in a new window)
- Apollo CLI (opens in a new window)
- get-graphql-schema (opens in a new window)
See also Tools and Libraries | GraphQL (opens in a new window).